import { detailedError_default } from './chunk-F6WGQSTG.js';

// src/utils/headerUtils.ts
var isValidAuthorizationHeader = (args) => {
  const { authorizationHeader } = args;
  if (!authorizationHeader) {
    return {
      success: false,
      error: new detailedError_default(
        "invalid_request",
        "Missing authorization header."
      )
    };
  }
  const [type, token] = authorizationHeader.split(" ");
  if (type !== "Bearer") {
    return {
      success: false,
      error: new detailedError_default(
        "invalid_request",
        "Invalid authorization header format."
      )
    };
  }
  if (!token) {
    return {
      success: false,
      error: new detailedError_default(
        "invalid_token",
        "Missing or invalid access token."
      )
    };
  }
  return {
    success: true,
    data: {
      accessToken: token
    }
  };
};

export { isValidAuthorizationHeader };
